X2Go Bug report logs - #291
eclipse: Eclipse crash when i try to open a file

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Dev <dev@ange7.com>

Date: Wed, 28 Aug 2013 19:48:02 UTC

Severity: important

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#291; Package eclipse. (Wed, 28 Aug 2013 19:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Dev <dev@ange7.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 28 Aug 2013 19:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Dev <dev@ange7.com>
To: submit@bugs.x2go.org
Subject: eclipse: Eclipse crash when i try to open a file
Date: Wed, 28 Aug 2013 21:28:10 +0200
Package: eclipse
Version: 3.8.0~rc4-1
Severity: important

Dear Maintainer,

I use Debian Wheezy with x2go.

I use eclipse 3.8 from wheezy repository

I launch eclipse and i try to open a file (right click + «open»)

Eclipse crash with this error message

The program 'Eclipse' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 5058 error_code 2 request_code 147 minor_code 26)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() 
function.)


-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10.9-xxxx-grs-ipv6-64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8@euro, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages eclipse depends on:
ii  eclipse-jdt  3.8.0~rc4-1
ii  eclipse-pde  3.8.0~rc4-1

eclipse recommends no packages.

eclipse suggests no packages.

Versions of packages eclipse-platform depends on:
ii  ant                            1.8.2-4
ii  ant-optional                   1.8.2-4
ii  default-jre [java6-runtime]    1:1.6-47
ii  eclipse-platform-data          3.8.0~rc4-1
ii  eclipse-rcp                    3.8.0~rc4-1
ii  gconf-service                  3.2.5-1+build1
ii  java-common                    0.47
ii  libc6                          2.13-38
ii  libcommons-codec-java          1.6-1
ii  libcommons-httpclient-java     3.1-10.2
ii  libcommons-logging-java        1.1.1-9
ii  libgconf-2-4                   3.2.5-1+build1
ii  libglib2.0-0                   2.33.12+really2.32.4-5
ii  libjetty8-java                 8.1.3-4
ii  libjsch-java                   0.1.42-2
ii  liblucene2-java                2.9.4+ds1-4
ii  libservlet3.0-java             7.0.28-4
ii  multiarch-support              2.13-38
ii  openjdk-6-jre [java6-runtime]  6b27-1.12.6-1~deb7u1
ii  sat4j                          2.3.1-1

Versions of packages eclipse-platform recommends:
ii  eclipse-pde  3.8.0~rc4-1

Versions of packages eclipse-platform suggests:
ii  eclipse-jdt  3.8.0~rc4-1

Versions of packages eclipse-pde depends on:
ii  default-jre [java6-runtime]    1:1.6-47
ii  eclipse-jdt                    3.8.0~rc4-1
ii  eclipse-platform               3.8.0~rc4-1
ii  libasm3-java                   3.3.2-1
ii  openjdk-6-jre [java6-runtime]  6b27-1.12.6-1~deb7u1

eclipse-pde suggests no packages.

Versions of packages eclipse-jdt depends on:
ii  default-jre [java6-runtime]    1:1.6-47
ii  eclipse-platform               3.8.0~rc4-1
ii  junit                          3.8.2-8
ii  junit4                         4.10-3
ii  libhamcrest-java               1.2-2
ii  openjdk-6-jre [java6-runtime]  6b27-1.12.6-1~deb7u1

Versions of packages eclipse-jdt recommends:
ii  default-jdk  1:1.6-47

eclipse-jdt suggests no packages.

-- no debconf information


Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#291; Package eclipse. (Thu, 29 Aug 2013 16:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Dev <dev@ange7.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 29 Aug 2013 16:18:02 GMT) (full text, mbox, link).


Message #10 received at 291@bugs.x2go.org (full text, mbox, reply):

From: Dev <dev@ange7.com>
To: "291@bugs.x2go.org" <291@bugs.x2go.org>
Date: Thu, 29 Aug 2013 17:51:35 +0200
Same problem with --sync option 


Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#291; Package eclipse. (Wed, 04 Sep 2013 20:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Dev <dev@ange7.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 04 Sep 2013 20:33:01 GMT) (full text, mbox, link).


Message #15 received at 291@bugs.x2go.org (full text, mbox, reply):

From: Dev <dev@ange7.com>
To: 291@bugs.x2go.org
Subject: libcairo2-dev
Date: Wed, 04 Sep 2013 22:25:50 +0200
Ok i find how fix this problem and it's not a problem with eclipse.

If someone have the same problem you can fix :

In debian Wheezy, «libcairo2-dev» package is installed.

But by default you have version 1.12.2. but since version 1.12.10 we can 
see in their bug fix : «Restore support for older versions of XRender. A 
couple of typos and a few forgotten chunks prevented the xlib compositor 
from running correctly with XRender < 0.10. Note that there are still a 
few regressions remaining.»

So you just need upgrade your «libcairo2-dev» package in debian jessie → 
Eclipse Works

i have ask to debian that we need backport.

see : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721181


Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#291; Package eclipse. (Sun, 15 Dec 2013 13:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Vysserk3 <vysserk3@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 15 Dec 2013 13:18:02 GMT) (full text, mbox, link).


Message #20 received at 291@bugs.x2go.org (full text, mbox, reply):

From: Vysserk3 <vysserk3@gmail.com>
To: 291@bugs.x2go.org
Subject: eclipse: Eclipse crash when i try to open a file
Date: Sun, 15 Dec 2013 14:05:28 +0100
[Message part 1 (text/plain, inline)]
@ dev@ange7.com
I've got the same issue with Ubuntu 12.04 and a standalone eclipse
installation though it seems to crash rather randomly a few seconds
after eclipse is started.
Unfortunately, I can't upgrade juste one library (libcairo2-dev) which
has many dependencies without messing around with the system...

So, is there a way to disable xrender extension ? (IIRC there was an
option like that in NX Client) or any other workaround ?

Thanks !
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#291; Package eclipse. (Thu, 08 May 2014 08:30:01 GMT) (full text, mbox, link).


Acknowledgement sent to Vysserk3 <vysserk3@gmail.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 08 May 2014 08:30:02 GMT) (full text, mbox, link).


Message #25 received at 291@bugs.x2go.org (full text, mbox, reply):

From: Vysserk3 <vysserk3@gmail.com>
To: 291@bugs.x2go.org
Subject: Re: Bug#291: Info received (eclipse: Eclipse crash when i try to open a file)
Date: Thu, 08 May 2014 10:27:47 +0200
I've found a workaround, just add the following line in eclipse.ini :

-Dorg.eclipse.swt.internal.gtk.cairoGraphics=false



Bug reassigned from package 'eclipse' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Nov 2014 11:27:56 GMT) (full text, mbox, link).


No longer marked as found in versions 3.8.0~rc4-1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Nov 2014 11:27:56 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#291; Package nxagent. (Mon, 12 Dec 2016 07:50:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Feb 24 09:18:49 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.